dojo.provide('customwidget.MyWidget');

dojo.require('dijit._Widget');
dojo.require('dijit._Templated');
dojo.require("dijit.form.Button");

/**
Noddy Widget
From here:
https://stackoverflow.com/questions/6938747/how-to-write-my-widget-without-declaring-its-code-in-dojo-ready
*/

// This widget is just a button
dojo.declare("customwidget.MyWidget",  [dijit._Widget, dijit._Templated], {
	
    templateString: "<div style='border: 1px black solid'>Foobar<br/><button dojoType='dijit.form.Button' id='mybuttonid'>Yeah</button><p id='stuffid'>Stuff</p></div>",
    widgetsInTemplate : true,
	
	// counter
    _i : 0,

	postCreate: function()
    {
        this.inherited(arguments);
		console.log("------->" +  this.domNode.innerHTML);

		// Get the label
		var node = dojo.byId("stuffid");
		console.log(node.innerHTML);
		node.innerHTML = this._i;

		// Get the button
		var buttonnode = dojo.byId("mybuttonid");
		//console.log(buttonnode.innerHTML);
		
	    // every time the user clicks the button, increment the counter
		this.connect(buttonnode, "onclick", "increment");
	},
	
	increment: function(){
		var node = dojo.byId("stuffid");
		node.innerHTML = ++this._i;
    },
			
    clickEvent : function()
    {
        alert("Button Click event");
    }
});